#include <stdio.h>
#include <stdlib.h>
#include <algorithm>
using namespace std;
long long int main()
{
    long long int n;
    long long int *a=(long long int*)malloc(n*sizeof(long long int));
    scanf("%lld",&n);
    for(long long int i=0;i<n;i++)
    {
        long long int x;
        scanf("%lld",&x);
        a[i]=x;
    }
    
    long long int i;
    
    for(i=0;i<n;i++)
    {
        long long int* k=max_element(a+i+1,a+n);
        if(a[i]<*k)
        {
            long long int t=a[i];
            a[i]=*k;
            *k=t;
            i=n+1;
        }
    }
    if(i==n)
    {
        long long int t=a[n-1];
        a[n-1]=a[n-2];
        a[n-2]=t;
    }
    
    for(long long int i=0;i<n;i++)
        prlong long intf("%lld ",a[i]);
    return 0;
}